如何用cad画箭头

qq_46169508 2020-04-09 09:39:00
1,首先输入VLIDE命令,会进入如下界面

(简称vl界面)
2,点击vl界面的菜单栏的文件->新建文件,出现一个未命名的窗口,绘图代码再次编写
3,在兴建文件中编写如下代码

(defun c:ss(/ p p7 p1 p2 p3 p4 p5 alf bhp) ;defun c: 为定义CAD命令的函数,strarr为新建命令名
(setvar "osmode" 0) ;关闭目标捕捉状态,否则画直线时遇上短距离线段时会出现“零长度”直线
(setq p(getpoint "鼠标选定箭头顶点位置")) ;以交互方式输入箭头顶点坐标
(setq p7(getpoint "鼠标选定起点"));
(setq p3(getdist "输入箭头宽度"));
(setq p4(/ p3 1))
(setq p5(* p3 6))
(setq alf(atan p4 p5)) ;用极坐标方法求标线其余各点坐标
(setq p1(polar p (- (angle p p7) alf) (/ p5 (cos alf))))
(setq p2(polar p (+ (angle p p7) alf) (/ p5 (cos alf))))
(command "line" p p1 p2 p "") ;调用AutoCAD的line命令,根据各点坐标绘制标线轮廓
(setq bhp(polar p (angle p p7) (/ p5 2))) ;填充标线辅助点,该点位于标线边界内
(command "bhatch" "p" "solid" bhp "") ;调用AutoCAD的bhatch命令,用纯色填充边界
(command"line" p p7 "")
(command "osnap" "endpoint,midpoint,center,node") ;恢复CAD目标捕捉模式
)
4,检查语句是否有语法错误:在菜单栏的工具->检查编辑器的文字,会弹出<编译输出>窗口显示检查结果
,若无语法错误显示“检查完成”,若有语法错误则显示错误语句
5,选择代码编辑窗口,点击菜单栏工具->加载编译器文件,控制台提示已加载;
6,输入ss命令,依次输入相关命令后就能生成一个箭头宽度自定义的箭头
7,生成lsp文件并加载使用
检查代码无误之后,选择vl窗口的未命名文件窗口->点击菜单栏的文件->保存,关闭vl界面
返回cad界面,点击菜单栏的工具->AutoLisp->加载应用程序,弹出加载应用程序窗口;
8,选择之前保存的lsp文件,并点击加载,下面状态栏显示"已成功加载"此时就能使用这个命令
画箭头

...全文
16 点赞 收藏 回复
写回复
回复
切换为时间正序
请发表友善的回复…
发表回复

还没有回复,快来抢沙发~

相关推荐
发帖
其他
创建于2009-10-09

222

社区成员

其他产品/厂家
申请成为版主
帖子事件
创建了帖子
2020-04-09 09:39
社区公告
暂无公告